const system = require("../../../system");
const Dao = require("../../dao.base");
class SaasmerchanttitleDao extends Dao {
  constructor() {
    super(Dao.getModelName(SaasmerchanttitleDao));
  }

  /**
   * 查询指定商户下的所有 title和地址
   * @param {*} id 
   */
  async getAllByMerchantId(id){
    let sql = `select * from saas_merchant_title where saas_merchant_id = :saas_merchant_id`;
    return await this.customQuery(sql, {saas_merchant_id:id});
  }
}
module.exports = SaasmerchanttitleDao;
